Bug 1262945 - Ragged tearing along top 200 pixels with Intel HD5500 graphics
Ragged tearing along top 200 pixels with Intel HD5500 graphics
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 13:09 EDT by James Ettle
Modified: 2016-12-20 09:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:38:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A video demonstrating the tearing (13.11 MB, video/quicktime)
2015-09-14 13:09 EDT, James Ettle
no flags Details
dmesg (77.91 KB, text/plain)
2015-09-14 13:10 EDT, James Ettle
no flags Details
Xorg.0.log (34.37 KB, text/plain)
2015-09-14 13:10 EDT, James Ettle
no flags Details

  None (edit)
Description James Ettle 2015-09-14 13:09:35 EDT
Created attachment 1073347 [details]
A video demonstrating the tearing

Description of problem:
I see visible, ragged tearing of the video (as if bunches of lines are updating at random) in the top 200 or so pixels of my display. The attached video shows this. (It's not an artefact of the recording, the video shows what it looks like to my eyes.)

This happens when I first log in, or lock the screen and then unlock it.

If I change to a text-mode VT and back, the tearing disappears.

The machine is a Lenovo C50-30 all-in-one, and I'm running the display at 1920x1080. The graphics is the Intel HD5500 that comes with the i5-5200U processor. There's also a Nvidia 820A on the board in an Optimus slave configuration, but to my knowledge it's not being used (and I've no intention of trying to do so, either).

dmesg and Xorg.0.log attached.

Version-Release number of selected component (if applicable):
kernel-4.1.6-201.fc22.x86_64
xorg-x11-drv-intel-2.99.917-15.20150729.fc22.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Lock screen, allow it to switch off.
2. Unlock screen.
3. Move a window around the top of the screen.

Actual results:
Tearing.

Expected results:
No tearing.

Additional info:
Comment 1 James Ettle 2015-09-14 13:10:05 EDT
Created attachment 1073348 [details]
dmesg
Comment 2 James Ettle 2015-09-14 13:10:34 EDT
Created attachment 1073349 [details]
Xorg.0.log
Comment 3 James Ettle 2015-09-25 17:29:58 EDT
Booting with i915.enable_ips=0 seems to help.
Comment 4 James Ettle 2015-12-02 12:58:52 EST
Updating versions, still happens with:

kernel-4.2.6-301.fc23.x86_64
xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64

As pointed out earlier, using i915.enable_ips=0 still helps but the tearing is still sometimes seen intermittently. Surrounding circumstances unknown, but typically after I've bumped the 'Activities' hot corner in GNOME Shell a few times.

I've also spotted another tear along the bottom of the GNOME Shell panel bar, so about 24 pixels down. This is visible in the ripples when the hot corner is activated -- ripples in the upper 24 pixels seem a frame or two behind the others. Also when dragging a window along the top of the screen (so just below the panel) there's a delay visible in the top pixels of the window decoration.

I think I've also seen similar on older HD3000 graphics on occasion...
Comment 5 Fedora End Of Life 2016-11-24 07:30:31 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 09:38:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.